aamodification.h File Reference

amino acid modification model More...

`#include <QDebug>`
`#include <QString>`
`#include <QMutex>`
`#include <memory>`
`#include <map>`
`#include "../types.h"`
`#include "atomnumberinterface.h"`
`#include "../obo/obopsimod.h"`

Go to the source code of this file.

## Classes

class | pappso::AaModification

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< const Peptide > | pappso::PeptideSp
typedef std::unique_ptr< const AaModification > | pappso::AaModificationUp
typedef const AaModification * | pappso::AaModificationP

## Detailed Description

amino acid modification model

Date
  7/3/2015

Author
  Olivier Langella

Definition in file aamodification.h.